<?php
/*
 CLASE PARA LA GESTION DE PROFESORES
*/
//require_once "../../../app/model/db.class.php";

class t_faltas extends database {

/* REALIZA UNA CONSULTA A LA BASE DE DATOS EN BUSCA DE  REGISTROS DE PROFESORES
		 OUTPUT:
		 $data | Array con los registros obtenidos, si no existen datos, su valor es una cadena vacia
	 */
  


        //----------------------------------
        function total_reg()
	{
	   //conexion a la base de datos
	   $this->conectar();
           $query = $this->consulta("select * from faltas");

           return ($this->numero_de_filas($query));
           $this->disconnect();

	}

        //---------------------------------

	function faltas_tip($inicio)
	{
		//conexion a la base de datos
		$this->conectar();

                $query = $this->consulta("select * from faltas  order by orden asc limit ".$inicio.",10");

                $this->disconnect();
		if($this->numero_de_filas($query) > 0) // existe -> datos correctos
		{
			//se llenan los datos en un array
			while ( $tsArray = $this->fetch_assoc($query) )
				$data[] = $tsArray;

			return $data;
		}
                else{

                        return '';
		}
	}

}

?>
